<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                              ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./admin_config.php");
	include_once ($root_folder_path . "includes/common.php");
	include_once ($root_folder_path . "includes/record.php");
	include_once ($root_folder_path . "messages/".$language_code."/cart_messages.php");
	include_once ($root_folder_path . "messages/".$language_code."/support_messages.php");
	include_once ($root_folder_path . "messages/".$language_code."/forum_messages.php");

	check_admin_security("users_groups");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_user_type.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_users_href", "admin_users.php");
	$t->set_var("admin_user_types_href", "admin_user_types.php");
	$t->set_var("admin_user_type_href", "admin_user_type.php");

	$yes_no_messages = 
		array( 
			array(1, YES_MSG),
			array(0, NO_MSG)
			);

	$price_types = 
		array( 
			array(0, "Price"),
			array(1, "Trade Price")
			);

	$discount_types = array( 
		array("", ""), array(0, "Not available"), array(1, "Percentage per product/option selling price"), 
		array(2, "Fixed amount per product"), array(3, "Percentage per product selling price"),
		array(4, "Percentage per (selling price - buying price)")
	);

	$r = new VA_Record($table_prefix . "user_types");

	$r->add_where("type_id", INTEGER);
	$r->change_property("type_id", USE_IN_INSERT, true);
	$r->add_checkbox("is_default", INTEGER, "Default Type");
	$r->add_checkbox("is_active", INTEGER);
	$r->add_radio("show_for_user", INTEGER, $yes_no_messages);
	$r->add_textbox("type_name", TEXT, "Type Name");
	$r->change_property("type_name", REQUIRED, true);
	$r->add_select("price_type", INTEGER, $price_types);
	$r->add_checkbox("tax_free", INTEGER);

	$r->add_select("discount_type", INTEGER, $discount_types);
	$r->add_textbox("discount_amount", NUMBER, "Discount Amount");
	

	$rps = new VA_Record($table_prefix . "user_types_settings", "aps");

	$rps->add_checkbox("new_profile", INTEGER);
	$rps->add_checkbox("edit_profile", INTEGER);
	$rps->add_checkbox("approve_profile", INTEGER);

	$rps->add_checkbox("my_orders", INTEGER);
	$rps->add_checkbox("my_details", INTEGER);
	$rps->add_checkbox("my_support", INTEGER);
	$rps->add_checkbox("my_forum", INTEGER);
	$rps->add_checkbox("my_payments", INTEGER);
	$rps->add_checkbox("my_carts", INTEGER);

	$rps->add_checkbox("access_products", INTEGER);
	$rps->add_checkbox("merchant_sales", INTEGER);
	$rps->add_checkbox("add_product", INTEGER);
	$rps->add_checkbox("edit_product", INTEGER);
	$rps->add_checkbox("delete_product", INTEGER);
	$rps->add_checkbox("approve_product", INTEGER);

	$rps->add_checkbox("affiliate_join", INTEGER);
	$rps->add_checkbox("affiliate_sales", INTEGER);

	$rps->add_checkbox("add_ad", INTEGER);
	$rps->add_checkbox("edit_ad", INTEGER);
	$rps->add_checkbox("delete_ad", INTEGER);
	$rps->add_checkbox("approve_ad", INTEGER);

	$r->get_form_values();
	$rps->get_form_values();

	$operation = get_param("operation");
	$type_id = get_param("type_id");
	$return_page = get_param("rp");
	if(!strlen($return_page)) $return_page = "admin_user_types.php";

	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		else if($operation == "delete" && $type_id)
		{
			$r->delete_record();
			$db->query("DELETE FROM " . $table_prefix . "user_types_settings WHERE type_id=" . $db->tosql($type_id, INTEGER));
			header("Location: " . $return_page);
			exit;
		}

		$is_valid = $r->validate();

		if($is_valid)
		{
			if ($r->get_value("is_default") == 1) {
				$sql = " UPDATE " . $table_prefix . "user_types SET is_default=0 ";
				$db->query($sql);
			}
			if(strlen($type_id)) {
				$r->update_record();
				$db->query("DELETE FROM " . $table_prefix . "user_types_settings WHERE type_id=" . $db->tosql($type_id, INTEGER));
			} else {
				$sql = " SELECT MAX(type_id) FROM " . $table_prefix . "user_types ";
				$type_id = get_db_value($sql) + 1;
				$r->set_value("type_id", $type_id);
				$r->insert_record();
				// redirect to user profile settings
				$return_page = "admin_user_profile.php?type_id=" . urlencode($type_id);
			}

			foreach($rps->parameters as $key => $value)
			{
				$sql  = " INSERT INTO " . $table_prefix . "user_types_settings (type_id, setting_name, setting_value) VALUES (";
				$sql .= $db->tosql($type_id, INTEGER) . ", '" . $key . "'," . $db->tosql($value[CONTROL_VALUE], TEXT) . ")";
				$db->query($sql);
			}

			header("Location: " . $return_page);
			exit;
		}

	}
	else if(strlen($type_id))
	{
		$r->get_db_values();

		$sql  = " SELECT setting_name, setting_value FROM " . $table_prefix . "user_types_settings ";
		$sql .= " WHERE type_id=" . $db->tosql($type_id, INTEGER);
		$db->query($sql);
		while($db->next_record()) {
			$rps->set_value($db->f("setting_name"), $db->f("setting_value"));
		}
	} else {
		$r->set_value("price_type", 0);
		$r->set_value("is_active", 1);
		$r->set_value("show_for_user", 1);
	}

	$r->set_form_parameters();
	$rps->set_form_parameters();

	if(strlen($type_id))	
	{
		$t->set_var("save_button", "Update");
		$t->parse("delete", false);	
	}
	else
	{
		$t->set_var("save_button", "Add New");
		$t->set_var("delete", "");	
	}

	$t->set_var("rp", htmlspecialchars($return_page));

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>