<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  image_functions.php                                      ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


function set_image_watermark ($path_image,$path_mark,$position,$pct,$mark_text) 
{

	$text_len = strlen($mark_text);
 	$font = "./includes/font/comic.ttf";

	if ($text_len>0){ // use text watermark
		$watermark = @imagecreate (150, 50)
		   	or die ("Cannot Initialize new GD image stream");
		$background_color = imagecolorallocate ($watermark, 255, 255, 255); // better use the same as text_color
		imagecolortransparent($watermark, $background_color);
		$text_color = imagecolorallocate ($watermark, 255, 255, 255); 

		if (function_exists("imagettftext")) {
			$text_size = 30;
			$text_angle = 0;
			$text_width = 10;
			$text_height = 30;
			imagettftext ($watermark, $text_size, $text_angle, $text_width, $text_height, $text_color, $font, $mark_text);  
		} else {
			imagestring ($watermark, 1, 5, 5,  $mark_text, $text_color);
		}

	} else { // use image watermark	  
	  
		if (intval(@imagesx($path_mark)) > 0) {
				$watermark = $path_mark;
		} else {
			$imginfo = getimagesize($path_mark);
	  
			switch($imginfo[2]) { // Determine type
				case 1:
					$type = "GIF";
					if (function_exists("imagecreatefromgif")) {
						$watermark = imagecreatefromgif($path_mark);
					} else die("Unsupported image type: $type");
					break;
				case 2:
					$type = "JPG";
					if (function_exists("imagecreatefromjpeg")) {
						$watermark = imagecreatefromjpeg($path_mark);
					} else die("Unsupported image type: $type");
					break;
				case 3:
					$type = "PNG";
					if (function_exists("imagecreatefrompng")) {
						$watermark = imagecreatefrompng($path_mark);
					} else die("Unsupported image type: $type");
					break;
			}
		}
	}

	$position = strtoupper($position);
	$valid_positions = array(
		"TL", "TM", "TR", "CL", "C", "CR", "BL", "BM", "BR", "RND"
	);

	if (in_array($position, $valid_positions)) {
		if ($position == "RND") {
			$position = $valid_positions[rand(0, sizeof($valid_positions) - 2)];
		}
	} else {
		die("Unsupported position: $position");
	}

	$width_mark = imagesx($watermark);  
	$height_mark = imagesy($watermark);  
	$image = imagecreatefromjpeg($path_image);  
	$size = getimagesize($path_image);  

	$width_left = $size[0] - $width_mark;
	$height_left = $size[1] - $height_mark; 

	switch ($position) {
		case "TL": // Top Left
			$dest_x = $width_left >= 5 ? 5 : $width_left;
			$dest_y = $height_left >= 5 ? 5 : $height_left;
			break;
		case "TM": // Top middle 
			$dest_x = intval(($size[0] - $width_mark) / 2);
			$dest_y = $height_left >= 5 ? 5 : $height_left;
			break;
		case "TR": // Top right
			$dest_x = $size[0] - $width_mark - 5;
			$dest_y = $height_left >= 5 ? 5 : $height_left;
			break;
		case "CL": // Center left
			$dest_x = $width_left >= 5 ? 5 : $width_left;
			$dest_y = intval(($size[1] - $height_mark) / 2);
			break;
		default:
		case "C": // Center (the default)
			$dest_x = intval(($size[0] - $width_mark) / 2);
			$dest_y = intval(($size[1] - $height_mark) / 2);
			break;
		case "CR": // Center right
			$dest_x = $size[0] - $width_mark - 5;
			$dest_y = intval(($size[1] - $height_mark) / 2);
			break;
		case "BL": // Bottom left
			$dest_x = $width_left >= 5 ? 5 : $width_left;
			$dest_y = $size[1] - $height_mark - 5;
			break;
		case "BM": // Bottom middle
			$dest_x = intval(($size[0] - $width_mark) / 2);
			$dest_y = $size[1] - $height_mark - 5;
			break;
		case "BR": // Bottom right
			$dest_x = $size[0] - $width_mark - 5;
			$dest_y = $size[1] - $height_mark - 5;
			break;
	}

	imagecopymerge($image, $watermark, $dest_x, $dest_y, 0, 0, $width_mark, $height_mark, $pct);  
	imagejpeg($image, $path_image);  
	imagedestroy($image);  
	imagedestroy($watermark);  

	//header("content-type: image/jpeg");  
}

?>
